Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class PatternInfo

    java.lang.Object
      jet.report.xls.PatternInfo

    public class PatternInfo

extends java.lang.Object

Contains the information of Area fill effects in the file.

Field Summary
`static int` | `DARK_DIAGDOWN` Represents dark downward diagonal pattern.
`static int` | `DARK_DIAGUP` Represents dark upward diagonal pattern.
`static int` | `DARK_HORIZONTAL` Represents dark horizontal pattern.
`static int` | `DARK_VERTICAL` Represents dark vertical pattern.
`static int` | `DASHED_DIAGDOWN` Represents dashed downward diagonal pattern.
`static int` | `DASHED_DIAGUP` Represents dashed upward diagonal pattern.
`static int` | `DASHED_HORIZONTAL` Represents dashed horizontal pattern.
`static int` | `DASHED_VERTICAL` Represents dashed vertical pattern.
`static int` | `DIAGONAL_BRICK` Represents diagonal brick pattern.
`static int` | `DIVOT` Represents divot pattern.
`static int` | `DOTTED_DIAMOND` Represents dotted diamond pattern.
`static int` | `DOTTED_GRID` Represents dotted grid pattern.
`static int` | `HORIZONTAL_BRICK` Represents horizontal brick pattern.
`static int` | `LARGE_CHECKERBOARD` Represents large checker board pattern.
`static int` | `LARGE_CONFETTI` Represents large confetti pattern.
`static int` | `LARGE_GRID` Represents large grid pattern.
`static int` | `LIGHT_DIAGDOWN` Represents light downward diagonal pattern.
`static int` | `LIGHT_DIAGUP` Represents light upward diagonal pattern.
`static int` | `LIGHT_HORIZONTAL` Represents light horizontal pattern.
`static int` | `LIGHT_VERTICAL` Represents light vertical pattern.
`static int` | `NARROW_HORIZONTAL` Represents narrow horizontal pattern.
`static int` | `NARROW_VERTICAL` Represents narrow vertical pattern.
`static int` | `OUTLINE_DIAMOND` Represents outlined diamond pattern.
`static int` | `PERCENT10` Represents 10% gray pattern.
`static int` | `PERCENT20` Represents 20% gray pattern.
`static int` | `PERCENT25` Represents 25% gray pattern.
`static int` | `PERCENT30` Represents 30% gray pattern.
`static int` | `PERCENT40` Represents 40% gray pattern.
`static int` | `PERCENT5` Represents 5% gray pattern.
`static int` | `PERCENT50` Represents 50% gray pattern.
`static int` | `PERCENT60` Represents 60% gray pattern.
`static int` | `PERCENT70` Represents 70% gray pattern.
`static int` | `PERCENT75` Represents 75% gray pattern.
`static int` | `PERCENT80` Represents 80% gray pattern.
`static int` | `PERCENT90` Represents 90% gray pattern.
`static int` | `PLAID` Represents plaid pattern.
`static int` | `SHINGLE` Represents shingle pattern.
`static int` | `SMALL_CHECKERBOARD` Represents small checker board pattern.
`static int` | `SMALL_CONFETTI` Represents small confetti pattern.
`static int` | `SMALL_GRID` Represents small grid pattern.
`static int` | `SOLID_DIAMOND` Represents solid diamond pattern.
`static int` | `SPHERE` Represents sphere pattern.
`static int` | `TRELLIS` Represents trellis pattern.
`static int` | `WAVE` Represents wave pattern.
`static int` | `WEAVE` Represents weave pattern.
`static int` | `WIDE_DIAGDOWN` Represents wide downward diagonal pattern.
`static int` | `WIDE_DIAGUP` Represents wide upward diagonal pattern.
`static int` | `ZIG_ZAG` Represents zig zag pattern.

Constructor Summary
`PatternInfo()` Constructs a `PatternInfo` with the default parameter.
`PatternInfo(int rgb1, int rgb2, int type, GlobalWorksheet gws)` Constructs a `PatternInfo` with these parameters:

Method Summary
`int` | `getColor1()` Gets the first color of the gradient color.
`int` | `getColor2()` Gets the second color of the gradient color.
`int` | `getType()` Gets the type of pattern color PERCENT5, LIGHT_DIAGDOWN and so on(48 kinds)
`void` | `setColor1(int color, GlobalWorksheet gws)` Sets the first color of the gradient color.
`void` | `setColor2(int color, GlobalWorksheet gws)` Sets the second color of the gradient color.
`void` | `setType(int type)` Sets the type of pattern color PERCENT5, LIGHT_DIAGDOWN and so on(48 kinds)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERCENT5

    public static final int PERCENT5

  Represents 5% gray pattern.

  See Also:
    Constant Field Values

### PERCENT10

    public static final int PERCENT10

  Represents 10% gray pattern.

  See Also:
    Constant Field Values

### PERCENT20

    public static final int PERCENT20

  Represents 20% gray pattern.

  See Also:
    Constant Field Values

### PERCENT25

    public static final int PERCENT25

  Represents 25% gray pattern.

  See Also:
    Constant Field Values

### PERCENT30

    public static final int PERCENT30

  Represents 30% gray pattern.

  See Also:
    Constant Field Values

### PERCENT40

    public static final int PERCENT40

  Represents 40% gray pattern.

  See Also:
    Constant Field Values

### PERCENT50

    public static final int PERCENT50

  Represents 50% gray pattern.

  See Also:
    Constant Field Values

### PERCENT60

    public static final int PERCENT60

  Represents 60% gray pattern.

  See Also:
    Constant Field Values

### PERCENT70

    public static final int PERCENT70

  Represents 70% gray pattern.

  See Also:
    Constant Field Values

### PERCENT75

    public static final int PERCENT75

  Represents 75% gray pattern.

  See Also:
    Constant Field Values

### PERCENT80

    public static final int PERCENT80

  Represents 80% gray pattern.

  See Also:
    Constant Field Values

### PERCENT90

    public static final int PERCENT90

  Represents 90% gray pattern.

  See Also:
    Constant Field Values

### LIGHT_DIAGDOWN

    public static final int LIGHT_DIAGDOWN

  Represents light downward diagonal pattern.

  See Also:
    Constant Field Values

### LIGHT_DIAGUP

    public static final int LIGHT_DIAGUP

  Represents light upward diagonal pattern.

  See Also:
    Constant Field Values

### DARK_DIAGDOWN

    public static final int DARK_DIAGDOWN

  Represents dark downward diagonal pattern.

  See Also:
    Constant Field Values

### DARK_DIAGUP

    public static final int DARK_DIAGUP

  Represents dark upward diagonal pattern.

  See Also:
    Constant Field Values

### WIDE_DIAGDOWN

    public static final int WIDE_DIAGDOWN

  Represents wide downward diagonal pattern.

  See Also:
    Constant Field Values

### WIDE_DIAGUP

    public static final int WIDE_DIAGUP

  Represents wide upward diagonal pattern.

  See Also:
    Constant Field Values

### LIGHT_VERTICAL

    public static final int LIGHT_VERTICAL

  Represents light vertical pattern.

  See Also:
    Constant Field Values

### LIGHT_HORIZONTAL

    public static final int LIGHT_HORIZONTAL

  Represents light horizontal pattern.

  See Also:
    Constant Field Values

### NARROW_VERTICAL

    public static final int NARROW_VERTICAL

  Represents narrow vertical pattern.

  See Also:
    Constant Field Values

### NARROW_HORIZONTAL

    public static final int NARROW_HORIZONTAL

  Represents narrow horizontal pattern.

  See Also:
    Constant Field Values

### DARK_VERTICAL

    public static final int DARK_VERTICAL

  Represents dark vertical pattern.

  See Also:
    Constant Field Values

### DARK_HORIZONTAL

    public static final int DARK_HORIZONTAL

  Represents dark horizontal pattern.

  See Also:
    Constant Field Values

### DASHED_DIAGDOWN

    public static final int DASHED_DIAGDOWN

  Represents dashed downward diagonal pattern.

  See Also:
    Constant Field Values

### DASHED_DIAGUP

    public static final int DASHED_DIAGUP

  Represents dashed upward diagonal pattern.

  See Also:
    Constant Field Values

### DASHED_HORIZONTAL

    public static final int DASHED_HORIZONTAL

  Represents dashed horizontal pattern.

  See Also:
    Constant Field Values

### DASHED_VERTICAL

    public static final int DASHED_VERTICAL

  Represents dashed vertical pattern.

  See Also:
    Constant Field Values

### SMALL_CONFETTI

    public static final int SMALL_CONFETTI

  Represents small confetti pattern.

  See Also:
    Constant Field Values

### LARGE_CONFETTI

    public static final int LARGE_CONFETTI

  Represents large confetti pattern.

  See Also:
    Constant Field Values

### ZIG_ZAG

    public static final int ZIG_ZAG

  Represents zig zag pattern.

  See Also:
    Constant Field Values

### WAVE

    public static final int WAVE

  Represents wave pattern.

  See Also:
    Constant Field Values

### DIAGONAL_BRICK

    public static final int DIAGONAL_BRICK

  Represents diagonal brick pattern.

  See Also:
    Constant Field Values

### HORIZONTAL_BRICK

    public static final int HORIZONTAL_BRICK

  Represents horizontal brick pattern.

  See Also:
    Constant Field Values

### WEAVE

    public static final int WEAVE

  Represents weave pattern.

  See Also:
    Constant Field Values

### PLAID

    public static final int PLAID

  Represents plaid pattern.

  See Also:
    Constant Field Values

### DIVOT

    public static final int DIVOT

  Represents divot pattern.

  See Also:
    Constant Field Values

### DOTTED_GRID

    public static final int DOTTED_GRID

  Represents dotted grid pattern.

  See Also:
    Constant Field Values

### DOTTED_DIAMOND

    public static final int DOTTED_DIAMOND

  Represents dotted diamond pattern.

  See Also:
    Constant Field Values

### SHINGLE

    public static final int SHINGLE

  Represents shingle pattern.

  See Also:
    Constant Field Values

### TRELLIS

    public static final int TRELLIS

  Represents trellis pattern.

  See Also:
    Constant Field Values

### SPHERE

    public static final int SPHERE

  Represents sphere pattern.

  See Also:
    Constant Field Values

### SMALL_GRID

    public static final int SMALL_GRID

  Represents small grid pattern.

  See Also:
    Constant Field Values

### LARGE_GRID

    public static final int LARGE_GRID

  Represents large grid pattern.

  See Also:
    Constant Field Values

### SMALL_CHECKERBOARD

    public static final int SMALL_CHECKERBOARD

  Represents small checker board pattern.

  See Also:
    Constant Field Values

### LARGE_CHECKERBOARD

    public static final int LARGE_CHECKERBOARD

  Represents large checker board pattern.

  See Also:
    Constant Field Values

### OUTLINE_DIAMOND

    public static final int OUTLINE_DIAMOND

  Represents outlined diamond pattern.

  See Also:
    Constant Field Values

### SOLID_DIAMOND

    public static final int SOLID_DIAMOND

  Represents solid diamond pattern.

  See Also:
    Constant Field Values

Constructor Detail

### PatternInfo

    public PatternInfo()

  Constructs a `PatternInfo` with the default parameter.

### PatternInfo

    public PatternInfo(int rgb1,
                       int rgb2,
                       int type,
                       GlobalWorksheet gws)

  Constructs a `PatternInfo` with these parameters:

  Parameters:
    `rgb1` - color1 in the gradient color
    `rgb2` - color2 in the gradient color
    `type` - type of pattern PERCENT5, LIGHT_DIAGDOWN and so on(48 kinds)
    `gws` - the object

Method Detail

### setColor1

    public void setColor1(int color,
                          GlobalWorksheet gws)

  Sets the first color of the gradient color.

  Parameters:
    `color` - first color of the gradient color

### getColor1

    public int getColor1()

  Gets the first color of the gradient color.

  Returns:
    the first color of the gradient color

### setColor2

    public void setColor2(int color,
                          GlobalWorksheet gws)

  Sets the second color of the gradient color.

  Parameters:
    `color` - the second color of the gradient color

### getColor2

    public int getColor2()

  Gets the second color of the gradient color.

  Returns:
    the second color of the gradient color

### setType

    public void setType(int type)

  Sets the type of pattern color PERCENT5, LIGHT_DIAGDOWN and so on(48 kinds)

  Parameters:
    `type` - type of pattern color
  See Also:
    `PERCENT5`, `LIGHT_DIAGDOWN`, `LIGHT_VERTICAL`, `DASHED_DIAGDOWN`, `ZIG_ZAG`, `DIVOT`, `SMALL_GRID`

### getType

    public int getType()

  Gets the type of pattern color PERCENT5, LIGHT_DIAGDOWN and so on(48 kinds)

  Returns:
    type of pattern color
  See Also:
    `PERCENT5`, `LIGHT_DIAGDOWN`, `LIGHT_VERTICAL`, `DASHED_DIAGDOWN`, `ZIG_ZAG`, `DIVOT`, `SMALL_GRID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD